Antiprism 0.23

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# sch_gen Class Reference

Class for working with Schoenflies notation. More...

Inheritance diagram for sch_gen:
[legend]
Collaboration diagram for sch_gen:
[legend]

List of all members.

## Public Member Functions
| sch_gen (t_set t=t_set())
| Constructor.
sch_gen & | unit ()
| Set up unit symmetry transformation group.
sch_gen & | h_refl ()
| Set up horizontal mirror transformation group.
sch_gen & | v_refl ()
| Set up vertical mirror transformation group.
sch_gen & | v_refl (int n)
| Set up vertical mirror transformation group.
sch_gen & | C2 ()
| Set up dihedral symmetry transformation group.
sch_gen & | Cs ()
| Set up Cs transformation group.
sch_gen & | Ci ()
| Set up Ci transformation group.
sch_gen & | C (int n)
| Set up C symmetry transformation group.
sch_gen & | Cv (int n)
| Set up Cv symmetry transformation group.
sch_gen & | Ch (int n)
| Set up Ch symmetry transformation group.
sch_gen & | D (int n)
| Set up D symmetry transformation group.
sch_gen & | Dv (int n)
| Set up Dv symmetry transformation group.
sch_gen & | Dh (int n)
| Set up Dh symmetry transformation group.
sch_gen & | S (int n)
| Set up Sn symmetry transformation group.
sch_gen & | T ()
| Set up T symmetry transformation group.
sch_gen & | Td ()
| Set up Td symmetry transformation group.
sch_gen & | Th ()
| Set up Th symmetry transformation group.
sch_gen & | O ()
| Set up O symmetry transformation group.
sch_gen & | Oh ()
| Set up Oh symmetry transformation group.
sch_gen & | I ()
| Set up I symmetry transformation group.
sch_gen & | Ih ()
| Set up Ih symmetry transformation group.

## Detailed Description

Class for working with Schoenflies notation.

## Constructor & Destructor Documentation

sch_gen::sch_gen | ( | t_set | t = `t_set()` | ) | `[inline]`

Constructor.

Parameters:

  t | initialise with these transformations.

## Member Function Documentation

sch_gen & sch_gen::C | ( | int | n | ) |

Set up C symmetry transformation group.

Principal axis (0,0,1).

Parameters:

  n | principal axis is n-fold.

Returns:
  reference to this object with the transformations set.

sch_gen& sch_gen::C2 | ( |  | ) | `[inline]`

Set up dihedral symmetry transformation group.

Rotation axis (1,0,0).

Returns:
  reference to this object with the transformations set.

sch_gen& sch_gen::Ch | ( | int | n | ) | `[inline]`

Set up Ch symmetry transformation group.

Principal axis (0,0,1). Mirror normal in direction (0,0,1).

Parameters:

  n | principal axis is n-fold.

Returns:
  reference to this object with the transformations set.

sch_gen& sch_gen::Ci | ( |  | ) | `[inline]`

Set up Ci transformation group.

No relevant alignment.

Returns:
  reference to this object with the transformations set.

sch_gen& sch_gen::Cs | ( |  | ) | `[inline]`

Set up Cs transformation group.

Mirror normal in direction (0,0,1).

Returns:
  reference to this object with the transformations set.

sch_gen& sch_gen::Cv | ( | int | n | ) | `[inline]`

Set up Cv symmetry transformation group.

Principal axis (0,0,1). Mirror normal (0,1,0).

Parameters:

  n | principal axis is n-fold.

Returns:
  reference to this object with the transformations set.

sch_gen& sch_gen::D | ( | int | n | ) | `[inline]`

Set up D symmetry transformation group.

Principal axis (0,0,1). Dihedral axis in direction (1,0,0).

Parameters:

  n | principal axis is n-fold.

Returns:
  reference to this object with the transformations set.

sch_gen& sch_gen::Dh | ( | int | n | ) | `[inline]`

Set up Dh symmetry transformation group.

Principal axis (0,0,1). Dihedral axis (1,0,0). Horizontal mirror normal (0,0,1).

Parameters:

  n | principal axis is n-fold.

Returns:
  reference to this object with the transformations set.

sch_gen& sch_gen::Dv | ( | int | n | ) | `[inline]`

Set up Dv symmetry transformation group.

Principal axis (0,0,1). Dihedral axis (1,0,0). Vertical mirror normal (0,1,0) rotated PI/2n radians around (0,0,1).

Parameters:

  n | principal axis is n-fold.

Returns:
  reference to this object with the transformations set.

sch_gen& sch_gen::h_refl | ( |  | ) | `[inline]`

Set up horizontal mirror transformation group.

Mirror normal (0,0,1).

Returns:
  reference to this object with the transformations set.

sch_gen& sch_gen::I | ( |  | ) | `[inline]`

Set up I symmetry transformation group.

5-fold axes (0,1,phi), (0,1,-phi).

Returns:
  reference to this object with the transformations set.

sch_gen& sch_gen::Ih | ( |  | ) | `[inline]`

Set up Ih symmetry transformation group.

5-fold axes (0,1,phi), (0,1,-phi).

Returns:
  reference to this object with the transformations set.

sch_gen& sch_gen::O | ( |  | ) | `[inline]`

Set up O symmetry transformation group.

4-fold axes (1,0,0), (0,1,0).

Returns:
  reference to this object with the transformations set.

sch_gen& sch_gen::Oh | ( |  | ) | `[inline]`

Set up Oh symmetry transformation group.

4-fold axes (1,0,0), (0,1,0).

Returns:
  reference to this object with the transformations set.

sch_gen& sch_gen::S | ( | int | n | ) | `[inline]`

Set up Sn symmetry transformation group.

Principal axis (0,0,1). Horizontal mirror normal (0,0,1).

Parameters:

  n | principal axis is rotational n/2-fold.

Returns:
  reference to this object with the transformations set.

sch_gen& sch_gen::T | ( |  | ) | `[inline]`

Set up T symmetry transformation group.

3-fold axes (1,1,1), (1,-1,-1).

Returns:
  reference to this object with the transformations set.

sch_gen& sch_gen::Td | ( |  | ) | `[inline]`

Set up Td symmetry transformation group.

3-fold axes (1,1,1), (1,-1,-1).

Returns:
  reference to this object with the transformations set.

sch_gen& sch_gen::Th | ( |  | ) | `[inline]`

Set up Th symmetry transformation group.

3-fold axes (1,1,1), (1,-1,-1).

Returns:
  reference to this object with the transformations set.

sch_gen& sch_gen::unit | ( |  | ) | `[inline]`

Set up unit symmetry transformation group.

No relevant alignment.

Returns:
  reference to this object with the transformation set.

sch_gen& sch_gen::v_refl | ( | int | n | ) | `[inline]`

Set up vertical mirror transformation group.

Mirror normal (0,1,0) rotated PI/2n radians around (0,0,1).

Parameters:

  n | used for angle to rotate mirror, as PI/n radians.

Returns:
  reference to this object with the transformations set.

sch_gen& sch_gen::v_refl | ( |  | ) | `[inline]`

Set up vertical mirror transformation group.

Mirror normal (0,1,0).

Returns:
  reference to this object with the transformations set.

The documentation for this class was generated from the following file:

- base/symmetry.cc